#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2
%define framework ktexteditor

Summary:        KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Epoch:          2
Name:           %{framework}
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{framework}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)

BuildRequires:  karchive-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  knotifications-devel >= %version
BuildRequires:  kparts-devel >= %version
BuildRequires:  sonnet-devel >= %version

BuildRequires:   cmake(KF5SyntaxHighlighting) >= %version

# OPTIONAL packages
BuildRequires:  pkgconfig(libgit2)

%rename kf5-%{framework}

%description
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -f ktexteditor5.lang
%{_kf5_plugindir}/parts/katepart.so
%{_kf5_services}/katepart.desktop
%{_kf5_servicetypes}/*.desktop
%{_kf5_datadir}/katepart5/script

#--------------------------------------------------------------------

%define kf5texteditor_major 5
%define libkf5texteditor %mklibname kf5texteditor %{kf5texteditor_major}

%package -n %libkf5texteditor
Summary:  KDE Frameworks 5 Tier 3 with advanced embeddable text editor
Group:        System/Libraries

%description -n %libkf5texteditor
KDE Frameworks 5 Tier 3 with advanced embeddable text editor.

%files -n %libkf5texteditor
%{_kf5_libdir}/libKF5TextEditor.so.%{kf5texteditor_major}*

#--------------------------------------------------------------------

%define kf5texteditor_devel %mklibname kf5texteditor -d

%package -n %kf5texteditor_devel

Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5texteditor = %epoch:%version-%release
Requires:       %name = %epoch:%version-%release
Provides:       %framework-devel = %epoch:%{version}-%{release}

%description -n %kf5texteditor_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5texteditor_devel
%{_kf5_libdir}/libKF5TextEditor.so
%{_kf5_libdir}/cmake/KF5TextEditor
%{_kf5_includedir}/ktexteditor_version.h
%{_kf5_includedir}/KTextEditor
%{_kf5_mkspecsdir}/qt_KTextEditor.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{framework}5



%changelog
* Wed Mar 29 2017 neoclust <neoclust> 2:5.32.0-2.mga6
+ Revision: 1095170
- Rebuild against new libgit2

* Mon Mar 06 2017 neoclust <neoclust> 2:5.32.0-1.mga6
+ Revision: 1088992
- New version 5.32.0

* Wed Dec 14 2016 neoclust <neoclust> 2:5.29.0-1.mga6
+ Revision: 1074975
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 2:5.28.0-1.mga6
+ Revision: 1072228
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 2:5.27.0-1.mga6
+ Revision: 1058383
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 2:5.26.0-1.mga6
+ Revision: 1050560
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 2:5.25.0-2.mga6
+ Revision: 1049222
- enable LibGit2 support

* Tue Aug 09 2016 neoclust <neoclust> 2:5.25.0-1.mga6
+ Revision: 1045138
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 2:5.24.0-1.mga6
+ Revision: 1041360
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 2:5.23.0-1.mga6
+ Revision: 1021958
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 2:5.22.0-1.mga6
+ Revision: 1014368
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 2:5.21.0-1.mga6
+ Revision: 999658
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 2:5.20.0-1.mga6
+ Revision: 986351
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 2:5.19.0-1.mga6
+ Revision: 942277
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 2:5.18.0-1.mga6
+ Revision: 921304
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 2:5.17.0-2.mga6
+ Revision: 913072
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 2:5.17.0-1.mga6
+ Revision: 909894
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 2:5.16.0-4.mga6
+ Revision: 900576
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 2:5.16.0-3.mga6
+ Revision: 899556
- Rebuild against fixed extra-cmake-modules

* Mon Nov 09 2015 neoclust <neoclust> 2:5.16.0-2.mga6
+ Revision: 899313
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 2:5.15.0-1.mga6
+ Revision: 888188
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 2:5.14.0-1.mga6
+ Revision: 881412
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 2:5.13.0-1.mga6
+ Revision: 862973
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 2:5.12.0-3.mga6
+ Revision: 862739
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Thu Jul 16 2015 neoclust <neoclust> 2:5.12.0-2.mga6
+ Revision: 854608
+ rebuild (emptylog)

* Wed Jul 15 2015 neoclust <neoclust> 2:5.12.0-1.mga6
+ Revision: 854316
- New version 5.12.0
- New version 5.11.0
- New version 1.5.0
- New version 1.0.0

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Sun Jul 20 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 654560
- Fix Requires

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 653098
- imported package kf5-ktexteditor

